Skip to main content
`Ctrl`+`K`

# TaoTermSetUp

Set up a `TaoTerm`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermSetUp(TaoTerm term)

Collective

## Input Parameter

- term - a `TaoTerm`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermCreate()`, `TaoTermSetType()`, `TaoTermSetFromOptions()`, `TaoTermView()`, `TaoTermDestroy()`

## Level

intermediate

## Location

src/tao/term/interface/taoterm.c

## Examples

src/tao/term/tutorials/ex1.c

## Implementations

TaoTermSetUp_Sum() in src/tao/term/impls/sum/taotermsum.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages